Peugeot Forums banner

1 - 5 of 5 Posts

·
Registered
Joined
·
23 Posts
Discussion Starter #1
I'll be getting a towbar fitted at some point and it's an extra £80 to program the car to recognise it. But I have a Lexia 3 OBD cable and run Diagbox v7.44 Does anyone know what version I'll need to get it working with my 2018 5008, if at all?
 

·
Moderator
Joined
·
6,252 Posts
It's unlikely you will find a clone version that will work on that age car you normally need diagbox 8 or 9+ for that age car and for both of these you need a live PSA server account for it too work.

You may be able to program the BSI using a similar cars option as long as the BSI is the same.

There is a link to a virtual machine version of 7.83 in the main diagbox thread

Sent from my SM-T830 using Tapatalk
 

·
Registered
Joined
·
1,351 Posts
As above - it's likely to need a live connection to PSA server which means your going to need to purchase an access token.

As the vehicle is still under manufacturers warranty I'd get a main dealer to tinker with the BSI.

Could it not wait until the vehicle goes in for service / warranty work?
 

·
Registered
Joined
·
23 Posts
Discussion Starter #4
It can wait. I'm still saving for the towbar and it'll probably be a couple of months before I get it fitted. I was just looking into getting my cable ready. Thanks for the replies.
 
1 - 5 of 5 Posts
Top